Retrieve Live Data and Document information
curl --request POST \
--url https://app.recallio.ai/api/Knowledge/recall \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "What is the listing with the highest taxe rate?",
"userId": {
"recallio_anon_id": "<string>",
"user_id": "<string>",
"user_hash": "<string>",
"user_metadata": null
},
"projectId": "project_abc",
"type": "listing,document",
"chatHistory": [
{
"role": "<string>",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "<string>",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>"
}
]
}
'import requests
url = "https://app.recallio.ai/api/Knowledge/recall"
payload = {
"query": "What is the listing with the highest taxe rate?",
"userId": {
"recallio_anon_id": "<string>",
"user_id": "<string>",
"user_hash": "<string>",
"user_metadata": None
},
"projectId": "project_abc",
"type": "listing,document",
"chatHistory": [
{
"role": "<string>",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "<string>",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'What is the listing with the highest taxe rate?',
userId: {
recallio_anon_id: '<string>',
user_id: '<string>',
user_hash: '<string>',
user_metadata: null
},
projectId: 'project_abc',
type: 'listing,document',
chatHistory: [
{
role: '<string>',
content: '<string>',
tool_calls: [
{
id: '<string>',
type: '<string>',
function: {name: '<string>', arguments: '<string>'}
}
],
tool_call_id: '<string>'
}
]
})
};
fetch('https://app.recallio.ai/api/Knowledge/recall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": "<string>",
"type": "<string>",
"tags": [
"<string>"
],
"metadata": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"error": "\"Invalid scope type. Must be 'user', 'project', or 'team'.\""
}{
"error": "\"Invalid scope type. Must be 'user', 'project', or 'team'.\""
}Knowledge
Retrieve Live Data and Document information
Retrieve all Client Software information.
POST
/
api
/
Knowledge
/
recall
Retrieve Live Data and Document information
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
Search query
Minimum string length:
1Example:
"What is the listing with the highest taxe rate?"
Show child attributes
Show child attributes
Project identifier to search knowledge within
Example:
"project_abc"
Type of knowledge to search for
Example:
"listing,document"
Show child attributes
Show child attributes

